Bug 236019 - net/py-zeroconf: Update dependencies and add tests
Summary: net/py-zeroconf: Update dependencies and add tests
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Hixson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-25 11:03 UTC by Mateusz Piotrowski
Modified: 2019-09-19 06:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jhixson)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2019-02-25 11:03:18 UTC
- Set LICENSE_FILE
- Add tests
  - One test (test_lots_of_names) is disabled now as it fails
- Remove six from dependencies (support for Python 2 was dropped in https://github.com/jstasiak/python-zeroconf/commit/f22f421e4e6bf1ca7671b1eb540ba09fbf1e04b1)
- Improve package description


https://reviews.freebsd.org/D19269
Comment 1 commit-hook freebsd_committer 2019-03-11 10:21:09 UTC
A commit references this bug:

Author: 0mp
Date: Mon Mar 11 10:20:27 UTC 2019
New revision: 495339
URL: https://svnweb.freebsd.org/changeset/ports/495339

Log:
  net/py-zeroconf: Update dependencies and add tests

  - Set LICENSE_FILE
  - Add tests
    - One test (test_lots_of_names) is disabled now as it fails
  - Remove six from dependencies (support for Python 2 was dropped in
    https://github.com/jstasiak/python-zeroconf/commit/f22f421e4e6bf1ca7671b1eb540ba09fbf1e04b1)
  - Improve package description

  PR:		236019
  Reviewed by:	mat
  Approved by:	mat (mentor), maintainer timeout (2 weeks)
  Differential Revision:	https://reviews.freebsd.org/D19269

Changes:
  head/net/py-zeroconf/Makefile
  head/net/py-zeroconf/pkg-descr
Comment 2 Jhon Chancellor 2019-09-19 06:03:18 UTC
MARKED AS SPAM